/*
* @description:结果执行管理-字典信息
  @Modifier: 郝定康
  @routerPath:
  @date: 2020-11-12 16:31:48
  * */

export const rstMgmtMixins = {
  data() {
    return {
      // 执行方式
      executeTypeList: [],
      // 计划采购方式
      tenderMethodList: [],
      // 付款方式
      // paymentTypeList: [],
      // 采购列表状态
      planStatusList: [],
      // 采购方式
      tender_methodList: [],
      // 是否集采
      collectionTypeList: [],
      // 状态
      planAuditStatusList: [],
      // 税率
      taxRateList: [],
      // 执行状态
      executeStatusList: [{
        index: '00',
        typename: '待生效',
        name: '待生效'
      }, {
        index: '01',
        typename: '执行中',
        name: '执行中'
      }, {
        index: '02',
        typename: '已结束',
        name: '已结束'
      }, {
        index: '03',
        typename: '已终止',
        name: '已终止'
      }, {
        index: '04',
        typename: '变更记录',
        name: '变更记录'
      }],
      // 计量单位
      purchaseUnitList: [],
      dictionaryType: ['executeType', 'tenderMethod', 'planStatus', 'tender_method', 'collectionType', 'purchaseUnit', 'planAuditStatus', 'taxRate'],
      purchasplanStopAuditConfig: false, // 终止结果执行 true启动工作流 false普通审核
      purchasplanResultExecutionAuditConfig: false, // 结果执行管理 保存提交 true启动工作流 false普通审核
      purchasplanResultExecutionChangeAuditConfig: false // 结果执行管理变更 true启动工作流 false普通审核
    }
  },
  created() {
    // 获取字典信息
    this.$store.dispatch('getGroupType', this.dictionaryType).then((data) => {
      // 遍历key存储相应的数据
      for (const key in data.bidTypeData) {
        /* 是否有数据*/
        if (data.bidTypeData[key]) {
          this[key] = data.bidTypeData[key]
        }
      }
    })
  },
  methods: {
    // 终止结果执行工作流配置
    purchasplanStopAudit() {
      // 根据键获取正式配置
      this.$store.dispatch('getSystemConfigValue', 'purchasplan-stop-audit-config').then(() => {
        this.purchasplanStopAuditConfig = this.$store.getters.systemConfigVo.configType // true启动工作流 false普通审核
      }).catch(() => {
      })
    },
    // 结果执行管理 保存提交工作流配置
    purchasplanResultExecutionAudit() {
      // 根据键获取正式配置
      this.$store.dispatch('getSystemConfigValue', 'purchasplan-resultExecution-audit-config').then(() => {
        this.purchasplanResultExecutionAuditConfig = this.$store.getters.systemConfigVo.configType // true启动工作流 false普通审核
      }).catch(() => {
      })
    },
    // 结果执行管理变更工作流配置
    purchasplanResultExecutionChangeAudit() {
      // 根据键获取正式配置
      this.$store.dispatch('getSystemConfigValue', 'purchasplan-resultExecutionChange-audit-config').then(() => {
        this.purchasplanResultExecutionChangeAuditConfig = this.$store.getters.systemConfigVo.configType // true启动工作流 false普通审核
      }).catch(() => {
      })
    }
  }
}
